package com.care.common.init;


import com.care.bms.service.MqttConnectorPoolInitService;
import com.care.bms.service.MqttThreadPoolInitService;
import com.care.common.util.CommonConfUtil;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;



@Order(1)
public class InitRunner implements CommandLineRunner {

    private static final Logger logger = LogManager.getLogger(InitRunner.class);

    @Autowired
    private MqttConnectorPoolInitService mqttConnectorPoolInitService;
    @Autowired
    private MqttThreadPoolInitService mqttThreadPoolInitService;

    @Override
    public void run(String... args) throws Exception {
        String mqttOn = CommonConfUtil.getConf("mqtt.on");
        if ("1".equals(mqttOn)){
            logger.info("初始化MQTTstart ...........................");
            mqttConnectorPoolInitService.init();
            mqttThreadPoolInitService.init();
            logger.info("初始化MQTTend ...........................");
        }
    }

}

